#if !defined(AFX_MAINWINDOW_H__EEE0B52E_4067_11D4_A708_0050DA829896__INCLUDED_)
#define AFX_MAINWINDOW_H__EEE0B52E_4067_11D4_A708_0050DA829896__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MainWindow.h : Header-Datei
//
#include <gl\gl.h>
#include <gl\glu.h>
#include <gl\glaux.h>

#include "OpenGLDevice.h"
#include "SScreenMode.h"
#include "SRoom.h"
#include "SObjects.h"
#include "SSpot.h"
#include "STimer.h"

/////////////////////////////////////////////////////////////////////////////
// Fenster CMainWindow 

class CMainWindow : public CWnd
{
// Konstruktion
public:
	CMainWindow();

// Attribute
public:

// Operationen
public:

// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CMainWindow)
	protected:
	//}}AFX_VIRTUAL

// Implementierung
public:
	void CreateGLWindow();
	void Update();
	virtual ~CMainWindow();

	// Generierte Nachrichtenzuordnungsfunktionen
protected:
	void InitGLTexGen();
	void Minimize();
	bool fullscreen;
	void UpdateView();
	void InitGL();
	void DrawGLScene();
	CClientDC* clientDC;
	SScreenMode screenMode;
	OpenGLDevice openGLDevice;

	SRoom room;
	SObjects objects;
	SSpot spot;
	STimer timer;
	float frametime;
	//{{AFX_MSG(CMainWindow)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnClose();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_MAINWINDOW_H__EEE0B52E_4067_11D4_A708_0050DA829896__INCLUDED_
