// SRoom.cpp: Implementierung der Klasse SRoom.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "SRoom.h"

#include <GL\gl.h>

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

#define XW 5.0f
#define YW 5.0f
#define Z -20.0f

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

SRoom::SRoom()
{

}

SRoom::~SRoom()
{

}

void SRoom::draw(bool white)
{
	glBegin(GL_QUADS);
		if (white)
		{
			glColor3f(1.0f,1.0f,1.0f);
		}
		else
		{
			glColor3f(0.0f,0.0f,1.0f);
		}

		// BACK
		glNormal3f(0.0f,0.0f,1.0f);
		glVertex3f(XW,YW,Z);
		glVertex3f(-XW,YW,Z);
		glVertex3f(-XW,-YW,Z);
		glVertex3f(XW,-YW,Z);

		//LEFT
		glNormal3f(1.0f,0.0f,0.0f);
		glVertex3f(-XW,YW,Z);
		glVertex3f(-XW,YW,0.0f);
		glVertex3f(-XW,-YW,0.0f);
		glVertex3f(-XW,-YW,Z);

		//RIGHT
		glNormal3f(-1.0f,0.0f,0.0f);
		glVertex3f(XW,YW,Z);
		glVertex3f(XW,-YW,Z);
		glVertex3f(XW,-YW,0.0f);
		glVertex3f(XW,YW,0.0f);

		//TOP
		glNormal3f(0.0f,-1.0f,0.0f);
		glVertex3f(XW,YW,Z);
		glVertex3f(-XW,YW,Z);
		glVertex3f(-XW,YW,0.0f);
		glVertex3f(XW,YW,0.0f);

		//BOTTOM
		glNormal3f(0.0f,1.0f,0.0f);
		glVertex3f(-XW,-YW,Z);
		glVertex3f(XW,-YW,Z);
		glVertex3f(XW,-YW,0.0f);
		glVertex3f(-XW,-YW,0.0f);
	glEnd();
}
