// SSpot.h: Schnittstelle fr die Klasse SSpot.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SSPOT_H__F46D417C_CE75_425B_A4E7_B32D70B9460B__INCLUDED_)
#define AFX_SSPOT_H__F46D417C_CE75_425B_A4E7_B32D70B9460B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "STexture.h"

class SSpot
{
public:
	void toggleAnimation();
	void dumpInfo();
	void switchTexture();
	void move(float x, float y);
	void endDraw();
	void beginDraw(float frametime);
	void init();
	SSpot();
	virtual ~SSpot();
protected:
	void loadTextures();
	
	float rotation;
	float position[2];
	STexture textures[3];
	int currentTexture;
	bool animation;
};

#endif // !defined(AFX_SSPOT_H__F46D417C_CE75_425B_A4E7_B32D70B9460B__INCLUDED_)
